#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, br = 0, suma = 0;
    cin >> n;
    int *x = new int(n);
    int *y = new int(n);
    int *z = new int(n);
    int *p = new int(n * 2);
    for(int i = 0; i < n; i++)
        cin >> x[i];
    for(int i = 0; i < n; i++)
        cin >> y[i];
    for(int i = 0; i < n; i++)
        cin >> z[i];
    for(int i = 0; i < n; i++){
        for(int j = 0; j < n; j++){
            if(x[i] == y[j]){
                p[br++] = j + 1;
            }
        }
    }
    for(int i = 0; i < br; i++){
        for(int j = 0; j < n; j++){
            if(p[i] == z[j]){
                suma++;
            }
        }
    }
    cout << suma;

    return 0;
}